import { EventEmitter } from '@angular/core';
export declare class FixedFooterFormControlsComponent {
    clickCancel: EventEmitter<void>;
    clickPrimary: EventEmitter<void>;
    cancelBtnText: string;
    disabled: boolean;
    primaryBtnText: string;
    show: boolean;
    onClickCancel(): void;
    onClickPrimary(): void;
}
